#!/bin/sh

dothis() {
    echo "Executing:  $*"
    if ! $* ;then
        echo -e '\n ERROR: Carefully read the error message and'
        echo      '        try to figure out what went wrong.'
        exit 1
    fi
}

libtoolize13 --copy --force --automake
rm -f config.cache
dothis aclocal -I . ${ACLOCAL_FLAGS}
dothis autoheader
dothis automake -a
dothis autoconf

echo 'Success, now continue with ./configure'
echo 'Use configure --help for detailed help.'
